Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAbstractSpinBox.ButtonSymbols

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QAbstractSpinBox.ButtonSymbols

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractSpinBox

    public static final class QAbstractSpinBox.ButtonSymbols

extends java.lang.Enum
implements QtEnumerator

This enum type describes the symbols that can be displayed on the buttons in a spin box.

See also:
  `QAbstractSpinBox::buttonSymbols`.

See Also:
  Serialized Form

Field Summary
`static QAbstractSpinBox.ButtonSymbols` | `NoButtons` Don't display buttons.
`static QAbstractSpinBox.ButtonSymbols` | `PlusMinus` + and - symbols.
`static QAbstractSpinBox.ButtonSymbols` | `UpDownArrows` Little arrows in the classic style.

Method Summary
`static QAbstractSpinBox.ButtonSymbols` | `resolve(int value)` Returns the QAbstractSpinBox$ButtonSymbols constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractSpinBox.ButtonSymbols` | `valueOf(java.lang.String name)`
`static QAbstractSpinBox.ButtonSymbols[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UpDownArrows

    public static final QAbstractSpinBox.ButtonSymbols UpDownArrows

  Little arrows in the classic style.

### PlusMinus

    public static final QAbstractSpinBox.ButtonSymbols PlusMinus

  + and - symbols.

### NoButtons

    public static final QAbstractSpinBox.ButtonSymbols NoButtons

  Don't display buttons.

Method Detail

### values

    public static QAbstractSpinBox.ButtonSymbols[] values()

### valueOf

    public static QAbstractSpinBox.ButtonSymbols valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractSpinBox.ButtonSymbols resolve(int value)

  Returns the QAbstractSpinBox$ButtonSymbols constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD